## jug 0.1.0

=== DESCRIPTION ===
Package: jug
Type: Package
Title: Create a Simple Web API for your R Functions
Version: 0.1.0
Author: Bart Smeets
Maintainer: Bart Smeets <bartsmeets86@gmail.com>
Description: A set of convenience functions to build simple APIs.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.1.0), magrittr, R6
Imports: mime, httpuv, stringi, infuser, jsonlite, base64enc
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-10-27 05:53:13 UTC; jsmeet5
Repository: CRAN
Date/Publication: 2015-10-27 08:09:58

## jug 0.1.1

=== DESCRIPTION ===
Package: jug
Type: Package
Title: Create a Simple Web API for your R Functions
Version: 0.1.1
Author: Bart Smeets
Maintainer: Bart Smeets <bartsmeets86@gmail.com>
Description: A set of convenience functions to build simple APIs.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.1.0), magrittr, R6
Imports: mime, httpuv, stringi, infuser, jsonlite, base64enc
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-10-27 10:19:07 UTC; jsmeet5
Repository: CRAN
Date/Publication: 2015-10-27 14:04:18

## jug 0.1.2

=== DESCRIPTION ===
Package: jug
Type: Package
Title: Create a Simple Web API for your R Functions
Version: 0.1.2
Author: Bart Smeets
Maintainer: Bart Smeets <bartsmeets86@gmail.com>
Description: A set of convenience functions to build simple APIs.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.1.0), magrittr
Imports: R6, mime, httpuv, stringi, infuser, jsonlite, base64enc
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-05-10 08:58:15 UTC; bart
Repository: CRAN
Date/Publication: 2016-05-10 11:13:24

## jug 0.1.3

=== DESCRIPTION ===
Package: jug
Type: Package
Title: A Simple Web Framework for R
Version: 0.1.3
Authors@R: person("Bart", "Smeets", email = "bartsmeets86@gmail.com",
  role = c("aut", "cre"))
URL: https://github.com/Bart6114/jug
Description: A set of functions to ease the building of web APIs.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.1.0), magrittr
Imports: R6, webutils, httpuv, mime, infuser, jsonlite, base64enc
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-07-28 06:38:02 UTC; bart
Author: Bart Smeets [aut, cre]
Maintainer: Bart Smeets <bartsmeets86@gmail.com>
Repository: CRAN
Date/Publication: 2016-07-28 11:48:21

## jug 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: jug
 Type: Package
 Title: A Simple Web Framework for R
-Version: 0.1.3
+Version: 0.1.4
 Authors@R: person("Bart", "Smeets", email = "bartsmeets86@gmail.com",
   role = c("aut", "cre"))
 URL: https://github.com/Bart6114/jug
@@ -14,8 +14,8 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-07-28 06:38:02 UTC; bart
+Packaged: 2016-09-15 07:18:11 UTC; bart
 Author: Bart Smeets [aut, cre]
 Maintainer: Bart Smeets <bartsmeets86@gmail.com>
 Repository: CRAN
-Date/Publication: 2016-07-28 11:48:21
+Date/Publication: 2016-09-15 10:55:24

## jug 0.1.6

=== DESCRIPTION ===
Package: jug
Type: Package
Title: A Simple Web Framework for R
Version: 0.1.6
Authors@R: person("Bart", "Smeets", email = "bartsmeets86@gmail.com",
  role = c("aut", "cre"))
URL: https://github.com/Bart6114/jug
Description: A set of functions to ease the building of web APIs.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.1.0), magrittr
Imports: R6, webutils, httpuv, mime, infuser, jsonlite, base64enc
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.0
NeedsCompilation: no
Packaged: 2017-02-23 11:40:45 UTC; bart
Author: Bart Smeets [aut, cre]
Maintainer: Bart Smeets <bartsmeets86@gmail.com>
Repository: CRAN
Date/Publication: 2017-02-23 17:31:05

## jug 0.1.7

=== DESCRIPTION ===
Package: jug
Type: Package
Title: A Simple Web Framework for R
Version: 0.1.7
Authors@R: person("Bart", "Smeets", email = "bartsmeets86@gmail.com",
  role = c("aut", "cre"))
URL: https://github.com/Bart6114/jug
Description: jug is a web framework aimed at easily building APIs. It is mostly aimed at exposing R functions, 
    models and visualizations to third-parties by way of http requests.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.1.0), magrittr
Imports: R6, webutils, httpuv, mime, infuser, jsonlite, base64enc
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-04-13 14:09:28 UTC; bart
Author: Bart Smeets [aut, cre]
Maintainer: Bart Smeets <bartsmeets86@gmail.com>
Repository: CRAN
Date/Publication: 2017-04-13 17:51:48 UTC

## jug 2.0.0

=== debian/changelog ===
jug (2.0.0-2) unstable; urgency=low

  * debian/control
    - Bump ant version in build dependency.
    - Remove dependency on JRE.
    - Add 'Suggests' liblog4j1.2-java.
    - Add libjug-java-doc package containing API documentation.
    - Update standards version to 3.9.2. No changes needed.
  * debian/patches/build-xml.diff
    - Add patch description as per DEP-3.
    - Add log4j jar to classpath in MANIFEST.MF.
    - Update to link javadoc against system javadoc.
  * debian/rules
    - Removed ant-trax from build classpath. Not relevant with latest ant.
    - Add target for javadoc generation.
  * Converted package to source format 3.0.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 05 May 2011 09:41:30 +0530

jug (2.0.0-1) unstable; urgency=low

  * Intial release. Merge from Ubuntu. (Closes: #557835)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Wed, 25 Nov 2009 10:42:07 +0530

jug (2.0.0-0ubuntu2) karmic; urgency=low

  * debian/copyright: Mention the dual licensing (ASL2.0/LGPL2.1)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Wed, 26 Aug 2009 13:59:33 +0200

jug (2.0.0-0ubuntu1) karmic; urgency=low

  * Initial release. New Eucalyptus dependency.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Wed, 22 Jul 2009 11:12:03 +0200

=== debian/control ===
Source: jug
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Onkar Shinde <onkarshinde@ubuntu.com>
Build-Depends-Indep: default-jdk, default-jdk-doc, liblog4j1.2-java, junit
Build-Depends: ant (>= 1.8.2), ant-optional (>= 1.8.2), debhelper (>= 5), cdbs (>= 0.4.5.3)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/jug/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/jug/
Homepage: http://jug.safehaus.org/
DM-Upload-Allowed: yes

Package: libjug-java
Architecture: all
Depends: ${misc:Depends}
Suggests: liblog4j1.2-java, libjug-java-doc (= ${binary:Version})
Description: Pure java UUID generator
 JUG is a pure java UUID generator that generates UUIDs according to the IETF
 UUID draft specification.
 .
 This package contains the library.

Package: libjug-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: default-jdk-doc
Suggests: libjug-java (= ${binary:Version})
Description: Pure java UUID generator (API documentation)
 JUG is a pure java UUID generator that generates UUIDs according to the IETF
 UUID draft specification.
 .
 This package contains API documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JARNAME              := jug-asl
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_ANT_BUILD_TARGET := jar.asl javadoc
DEB_ANT_CHECK_TARGET := test
DEB_JARS             := log4j-1.2 ant-junit junit

binary-post-install/lib$(DEB_SOURCE_PACKAGE)-java::
	dh_install build/$(JARNAME)-$(DEB_UPSTREAM_VERSION).jar usr/share/java
	dh_link usr/share/java/$(JARNAME)-$(DEB_UPSTREAM_VERSION).jar usr/share/java/$(JARNAME).jar

get-orig-source:
	wget -O ../jug_$(DEB_UPSTREAM_VERSION).orig.tar.gz http://jug.safehaus.org/curr/jug-src.tar.gz

=== debian/watch ===
version=3
http://jug.safehaus.org/Download http://jug.safehaus.org/curr/jug-asl-([\d\.]+).jar

## jug 3.1.5

=== debian/changelog ===
jug (3.1.5-2) unstable; urgency=medium

  * Team upload.
  * Fix Homepage
  * Build-Depends: s/default-jdk/default-jdk-headless/
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/watch
     - file standard 4 (routine-update)
     - Make sure downloaded tarball will be flagged by +dfsg

 -- Andreas Tille <tille@debian.org>  Sat, 01 Feb 2025 16:34:47 +0100

jug (3.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Built with Maven instead of Ant
    - Build depend on junit4 instead of junit
  * Removed the -java-doc package
  * Moved the package to Git
  * Removed the deprecated DM-Upload-Allowed field
  * Updated the Homepage field
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Track and download the new releases from GitHub
  * Converted deian/copyright to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 17 Apr 2018 16:56:00 +0200

=== debian/control ===
Source: jug
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Onkar Shinde <onkarshinde@ubuntu.com>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               junit4,
               liblog4j1.2-java,
               libmaven-bundle-plugin-java,
               maven-debian-helper
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/jug
Vcs-Git: https://salsa.debian.org/java-team/jug.git
Homepage: https://github.com/cowtowncoder/java-uuid-generator

Package: libjug-java
Architecture: all
Depends: ${misc:Depends},
         ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: Pure java UUID generator
 JUG is a pure java UUID generator that generates UUIDs according to the IETF
 UUID draft specification.
 .
 This package contains the library.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/cowtowncoder/java-uuid-generator/tags .*/java-uuid-generator-([\d\.]+).tar.gz
